Skip to main content
PATCH
Change rows in asset condition settings: The asset conditions in rank order, best first, with how many assets are in each and how many verification answers have…

Headers

Prefer
enum<string>

Preference

Available options:
return=representation,
return=minimal,
return=none

Query Parameters

id
string
code
string
name
string
rank
string
color
string
is_active
string
assets
string
verification_lines
string
row_version
string

Body

asset_condition_settings

The asset conditions in rank order, best first, with how many assets are in each and how many verification answers have recorded it.

The code is what a verification records and cannot be changed once the condition exists; the name is free to reword.

assets
integer<bigint>
code
string<character varying>
Maximum string length: 20
color
string<character varying>
Maximum string length: 20
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
name
string<character varying>
Maximum string length: 120
rank
integer<smallint>
row_version
integer<bigint>
verification_lines
integer<bigint>

Response

204

No Content